Bug 1384 - kmail crashes, buffer overflow?
kmail crashes, buffer overflow?
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-01 06:31 EST by Joseph Malicki
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-31 15:09:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Malicki 1999-03-01 06:31:33 EST
Sorry about =putting this in XFree86, but the kde components
don't yet have entries.  In RawHide 1.2.8 and 1.2.9, the
kmail with the updated kdenetwork package crashes every time
I get the first mail message from a certain account.  It
prints a lot of garbage to the screen consistent with a
buffer overflow.  Earlier kmail's seemed to work, but I
probably didn't have that message yet.  This could be a
security hole if root ever tries to run kmail.... I will
contact the maintainers shortly...
Comment 1 Cristian Gafton 1999-03-18 18:42:59 EST
assigned to pbrown
Comment 2 Preston Brown 1999-03-31 15:09:59 EST
without further input on what sort of message is crashing the program,
I can't provide any help or solution.  Please reopen the bug if you
are able to provide further, more specific information.
Comment 3 Joseph Malicki 1999-11-21 03:18:59 EST
It's taken quite a while... but I've figured out what causes kmail to crash.. it
is STILL a problem after all this time... it's a long subject line (I THINK > 80
chars, but not positive)... every once in a while I'll get a thread with a
really long subject line and kmail crashes... I've stepped through the source,
and am still perplexed as to why this is happening.....

Note You need to log in before you can comment on or make changes to this bug.